﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(SmeltingSkill), 1)]      
    public partial class IronBarRecipe :
        RecipeFamily
    {
        public IronBarRecipe()
        {
            this.Initialize(Localizer.DoStr("Iron Bar"), typeof(IronBarRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "IronBar",
                    Localizer.DoStr("Iron Bar"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(IronConcentrateItem), 1, typeof(SmeltingSkill), typeof(SmeltingLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<IronBarItem>(2),                          
                   new CraftingElement<SlagItem>(typeof(SmeltingSkill), 1) 
 
                    }
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(SmeltingSkill), typeof(IronBarRecipe), this.UILink()); 
            this.ExperienceOnCraft = 2;  
            this.CraftMinutes = CreateCraftTimeValue(typeof(IronBarRecipe), this.UILink(), 0.25f, typeof(SmeltingSkill), typeof(SmeltingFocusedSpeedTalent), typeof(SmeltingParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Iron Bar"), typeof(IronBarRecipe));

            CraftingComponent.AddRecipe(typeof(BlastFurnaceObject), this);

        }
    }

    [Serialized]
    [Solid, Wall, Constructed]
    [RequiresSkill(typeof(SmeltingSkill), 1)]      
    public partial class IronBarBlock :
        Block            
        , IRepresentsItem   
    {
        public Type RepresentedItemType { get { return typeof(IronBarItem); } }  
    }

    [Serialized]
    [LocDisplayName("Iron Bar")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Blocks", "Metals", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                    
    [Currency] 
    [Tag("Metal", 1)]                         
    public partial class IronBarItem :
    BlockItem<IronBarBlock>
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Refined bar of iron."); } }

        public override bool CanStickToWalls { get { return false; } }  

        private static Type[] blockTypes = new Type[] {
        typeof(IronBarStacked1Block),
        typeof(IronBarStacked2Block),
        typeof(IronBarStacked3Block),
            typeof(IronBarStacked4Block)
        };
        public override Type[] BlockTypes { get { return blockTypes; } }
    }

    [Serialized, Solid] public class IronBarStacked1Block : PickupableBlock { }
    [Serialized, Solid] public class IronBarStacked2Block : PickupableBlock { }
    [Serialized, Solid] public class IronBarStacked3Block : PickupableBlock { }
    [Serialized, Solid,Wall] public class IronBarStacked4Block : PickupableBlock { } //Only a wall if it's all 4 IronBar
}

