﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;


    [Serialized]
    [Solid, Wall, Constructed]
    public partial class LogBlock :
        Block            
        , IRepresentsItem   
    {
        public Type RepresentedItemType { get { return typeof(LogItem); } }  
    }

    [Serialized]
    [LocDisplayName("Log")]
[MaxStackSize(1000)]
[Weight(1)]
    [Fuel(4000)][Tag("Fuel")]          
    [Category("Hidden")]    
    [ResourcePile]                                          
    public partial class LogItem :
    BlockItem<LogBlock>
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A stack of logs."); } }


        private static Type[] blockTypes = new Type[] {
        typeof(LogStacked1Block),
        typeof(LogStacked2Block),
        typeof(LogStacked3Block),
            typeof(LogStacked4Block)
        };
        public override Type[] BlockTypes { get { return blockTypes; } }
    }

    [Serialized, Solid] public class LogStacked1Block : PickupableBlock { }
    [Serialized, Solid] public class LogStacked2Block : PickupableBlock { }
    [Serialized, Solid] public class LogStacked3Block : PickupableBlock { }
    [Serialized, Solid,Wall] public class LogStacked4Block : PickupableBlock { } //Only a wall if it's all 4 Log
}

