﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Charred Cactus Fruit")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Charred Food", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("CharredFruit", 1)]
    public partial class CharredCactusFruitItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("Blackened cactus fruit. A favorite of early desert settlers."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 4, Fat = 2, Protein = 0, Vitamins = 6};
        public override float Calories                          { get { return 200; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCookingSkill), 0)]    
    public partial class CharredCactusFruitRecipe :
        RecipeFamily
    {
        public CharredCactusFruitRecipe()
        {
            var product = new Recipe(
                "CharredCactusFruit",
                Localizer.DoStr("Charred Cactus Fruit"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(GiantCactusFruitItem), 1, true),  
                },
                    new CraftingElement<CharredCactusFruitItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Charred Cactus Fruit"), typeof(CharredCactusFruitRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill), typeof(CharredCactusFruitRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(CharredCactusFruitRecipe), this.UILink(), 0.5f, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Charred Cactus Fruit"), typeof(CharredCactusFruitRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}

