﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Corn Fritters")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Cooking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class CornFrittersItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Corn Fritters"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("These deep fried corn treats are both crispy and delicious."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 15, Fat = 17, Protein = 7, Vitamins = 8};
        public override float Calories                          { get { return 500; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 1)]    
    public partial class CornFrittersRecipe :
        RecipeFamily
    {
        public CornFrittersRecipe()
        {
            var product = new Recipe(
                "CornFritters",
                Localizer.DoStr("Corn Fritters"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(CornmealItem), 6, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)), 
            new IngredientElement(typeof(CornItem), 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),   
            new IngredientElement("Fat", 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),   
                },
                    new CraftingElement<CornFrittersItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Corn Fritters"), typeof(CornFrittersRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedCookingSkill), typeof(CornFrittersRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(CornFrittersRecipe), this.UILink(), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingFocusedSpeedTalent), typeof(AdvancedCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Corn Fritters"), typeof(CornFrittersRecipe));
            CraftingComponent.AddRecipe(typeof(StoveObject), this);
        }
    }
}

