﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Fried Hare Haunches")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Cooking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class FriedHareHaunchesItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("Everything is better deep fried."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 6, Fat = 27, Protein = 15, Vitamins = 4};
        public override float Calories                          { get { return 700; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 2)]    
    public partial class FriedHareHaunchesRecipe :
        RecipeFamily
    {
        public FriedHareHaunchesRecipe()
        {
            var product = new Recipe(
                "FriedHareHaunches",
                Localizer.DoStr("Fried Hare Haunches"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(PreparedMeatItem), 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)), 
            new IngredientElement(typeof(FlourItem), 8, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)), 
            new IngredientElement(typeof(OilItem), 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),   
                },
                    new CraftingElement<FriedHareHaunchesItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Fried Hare Haunches"), typeof(FriedHareHaunchesRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedCookingSkill), typeof(FriedHareHaunchesRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(FriedHareHaunchesRecipe), this.UILink(), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingFocusedSpeedTalent), typeof(AdvancedCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Fried Hare Haunches"), typeof(FriedHareHaunchesRecipe));
            CraftingComponent.AddRecipe(typeof(StoveObject), this);
        }
    }
}

