﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Macaroons")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Baking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class MacaroonsItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Macaroons"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A small circular biscuit with a sweet huckleberry filling."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 16, Fat = 14, Protein = 7, Vitamins = 10};
        public override float Calories                          { get { return 850; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedBakingSkill), 2)]    
    public partial class MacaroonsRecipe :
        RecipeFamily
    {
        public MacaroonsRecipe()
        {
            var product = new Recipe(
                "Macaroons",
                Localizer.DoStr("Macaroons"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(FlourItem), 4, typeof(AdvancedBakingSkill), typeof(AdvancedBakingLavishResourcesTalent)), 
            new IngredientElement(typeof(SimpleSyrupItem), 1, typeof(AdvancedBakingSkill), typeof(AdvancedBakingLavishResourcesTalent)), 
            new IngredientElement(typeof(HuckleberryExtractItem), 1, typeof(AdvancedBakingSkill), typeof(AdvancedBakingLavishResourcesTalent)),   
                },
                    new CraftingElement<MacaroonsItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Macaroons"), typeof(MacaroonsRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedBakingSkill), typeof(MacaroonsRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(MacaroonsRecipe), this.UILink(), 3, typeof(AdvancedBakingSkill), typeof(AdvancedBakingFocusedSpeedTalent), typeof(AdvancedBakingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Macaroons"), typeof(MacaroonsRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}

