﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Scrap Meat")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Meat", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class ScrapMeatItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Scrap Meat"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("Chunks of extra meat."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 0, Fat = 5, Protein = 5, Vitamins = 0};
        public override float Calories                          { get { return 50; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(ButcherySkill), 1)]    
    public partial class ScrapMeatRecipe :
        RecipeFamily
    {
        public ScrapMeatRecipe()
        {
            var product = new Recipe(
                "ScrapMeat",
                Localizer.DoStr("Scrap Meat"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(RawMeatItem), 1, typeof(ButcherySkill), typeof(ButcheryLavishResourcesTalent)),   
                },
                    new CraftingElement<ScrapMeatItem>(3)  
                
            );
            this.Initialize(Localizer.DoStr("Scrap Meat"), typeof(ScrapMeatRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(ButcherySkill), typeof(ScrapMeatRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(ScrapMeatRecipe), this.UILink(), 0.5f, typeof(ButcherySkill), typeof(ButcheryFocusedSpeedTalent), typeof(ButcheryParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Scrap Meat"), typeof(ScrapMeatRecipe));
            CraftingComponent.AddRecipe(typeof(ButcheryTableObject), this);
        }
    }
}

