﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Topped Porridge")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Campfire", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class ToppedPorridgeItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Topped Porridge"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A thick gruel of boiled grains with a dash of fruity flavor."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 10, Fat = 0, Protein = 4, Vitamins = 10};
        public override float Calories                          { get { return 700; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCookingSkill), 1)]    
    public partial class ToppedPorridgeRecipe :
        RecipeFamily
    {
        public ToppedPorridgeRecipe()
        {
            var product = new Recipe(
                "ToppedPorridge",
                Localizer.DoStr("Topped Porridge"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(BoiledGrainsItem), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)),   
            new IngredientElement("Fruit", 1, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)),   
                },
                    new CraftingElement<ToppedPorridgeItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Topped Porridge"), typeof(ToppedPorridgeRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill), typeof(ToppedPorridgeRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(ToppedPorridgeRecipe), this.UILink(), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Topped Porridge"), typeof(ToppedPorridgeRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}

