﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Wild Stew")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Campfire", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class WildStewItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A thick stew made with a variety of vegetables."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 8, Fat = 6, Protein = 2, Vitamins = 12};
        public override float Calories                          { get { return 1100; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCookingSkill), 3)]    
    public partial class WildStewRecipe :
        RecipeFamily
    {
        public WildStewRecipe()
        {
            var product = new Recipe(
                "WildStew",
                Localizer.DoStr("Wild Stew"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(HuckleberriesItem), 2, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)), 
            new IngredientElement(typeof(BeansItem), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)), 
            new IngredientElement(typeof(BeetItem), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)),   
                },
                    new CraftingElement<WildStewItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Wild Stew"), typeof(WildStewRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill), typeof(WildStewRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(WildStewRecipe), this.UILink(), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Wild Stew"), typeof(WildStewRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}

