﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(CarpentrySkill), 1)]      
    public partial class BoardRecipe :
        RecipeFamily
    {
        public BoardRecipe()
        {
            this.Initialize(Localizer.DoStr("Board"), typeof(BoardRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Board",
                    Localizer.DoStr("Board"),
                    new IngredientElement[]
                    {
                    new IngredientElement("HewnLog", 1, typeof(CarpentrySkill), typeof(CarpentryLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<BoardItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 0.6f;  

            this.LaborInCalories = CreateLaborInCaloriesValue(60, typeof(CarpentrySkill), typeof(BoardRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(BoardRecipe), this.UILink(), 0.2f, typeof(CarpentrySkill), typeof(CarpentryFocusedSpeedTalent), typeof(CarpentryParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Board"), typeof(BoardRecipe));

            CraftingComponent.AddRecipe(typeof(CarpentryTableObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Board")]
[MaxStackSize(1000)]
[Weight(1)]
    [Fuel(2000)][Tag("Fuel")]          
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("WoodBoard", 1)]
    [Tag("Burnable Fuel", 1)]                                 
    public partial class BoardItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A higher quality board used for long lasting furniture."); } }
    }
}

