﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(CarpentrySkill), 0)]      
    public partial class DendrologyResearchPaperModernRecipe :
        RecipeFamily
    {
        public DendrologyResearchPaperModernRecipe()
        {
            this.Initialize(Localizer.DoStr("Dendrology Research Paper Modern"), typeof(DendrologyResearchPaperModernRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "DendrologyResearchPaperModern",
                    Localizer.DoStr("Dendrology Research Paper Modern"),
                    new IngredientElement[]
                    {
                    new IngredientElement("Lumber", 30, typeof(CarpentrySkill), typeof(CarpentryLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<DendrologyResearchPaperModernItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 8;  

            this.LaborInCalories = CreateLaborInCaloriesValue(1000, typeof(CarpentrySkill), typeof(DendrologyResearchPaperModernRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(1);
            this.Initialize(Localizer.DoStr("Dendrology Research Paper Modern"), typeof(DendrologyResearchPaperModernRecipe));

            CraftingComponent.AddRecipe(typeof(ResearchTableObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Dendrology Research Paper Modern")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Items", "Research Papers", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Modern Research", 1)]
    [Tag("Research", 1)]                                 
    public partial class DendrologyResearchPaperModernItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A document containing important research information. Used to discover new skills at the research table."); } }
    }
}

