﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(BasicEngineeringSkill), 1)]      
    public partial class EngineeringResearchPaperAdvancedRecipe :
        RecipeFamily
    {
        public EngineeringResearchPaperAdvancedRecipe()
        {
            this.Initialize(Localizer.DoStr("Engineering Research Paper Advanced"), typeof(EngineeringResearchPaperAdvancedRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "EngineeringResearchPaperAdvanced",
                    Localizer.DoStr("Engineering Research Paper Advanced"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(WaterwheelItem), 2, typeof(BasicEngineeringSkill), typeof(BasicEngineeringLavishResourcesTalent)), 
                    new IngredientElement(typeof(WindmillItem), 2, typeof(BasicEngineeringSkill), typeof(BasicEngineeringLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<EngineeringResearchPaperAdvancedItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 2;  

            this.LaborInCalories = CreateLaborInCaloriesValue(200, typeof(BasicEngineeringSkill), typeof(EngineeringResearchPaperAdvancedRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(1);
            this.Initialize(Localizer.DoStr("Engineering Research Paper Advanced"), typeof(EngineeringResearchPaperAdvancedRecipe));

            CraftingComponent.AddRecipe(typeof(ResearchTableObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Engineering Research Paper Advanced")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Items", "Research Papers", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Advanced Research", 1)]
    [Tag("Research", 1)]                                 
    public partial class EngineeringResearchPaperAdvancedItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A document containing important research information. Used to discover new skills at the research table."); } }
    }
}

