﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(OilDrillingSkill), 1)]      
    public partial class EpoxyRecipe :
        RecipeFamily
    {
        public EpoxyRecipe()
        {
            this.Initialize(Localizer.DoStr("Epoxy"), typeof(EpoxyRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Epoxy",
                    Localizer.DoStr("Epoxy"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(PetroleumItem), 4, typeof(OilDrillingSkill), typeof(OilDrillingLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<EpoxyItem>(2),  
                    new CraftingElement<BarrelItem>(typeof(OilDrillingSkill), 3, typeof(OilDrillingLavishResourcesTalent))  
 
                    }
                )
            };


            this.ExperienceOnCraft = 2;  

            this.LaborInCalories = CreateLaborInCaloriesValue(300, typeof(OilDrillingSkill), typeof(EpoxyRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(EpoxyRecipe), this.UILink(), 1.6f, typeof(OilDrillingSkill), typeof(OilDrillingFocusedSpeedTalent), typeof(OilDrillingParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Epoxy"), typeof(EpoxyRecipe));

            CraftingComponent.AddRecipe(typeof(OilRefineryObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Epoxy")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class EpoxyItem :
    Item                                    
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Epoxy"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("A useful material for hardening, curing, and other various uses."); } }
    }
}

