﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(IndustrySkill), 1)]      
    public partial class RadiatorRecipe :
        RecipeFamily
    {
        public RadiatorRecipe()
        {
            this.Initialize(Localizer.DoStr("Radiator"), typeof(RadiatorRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Radiator",
                    Localizer.DoStr("Radiator"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(HeatSinkItem), 4, typeof(IndustrySkill), typeof(IndustryLavishResourcesTalent)), 
                    new IngredientElement(typeof(CopperWiringItem), 8, typeof(IndustrySkill), typeof(IndustryLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<RadiatorItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 3;  

            this.LaborInCalories = CreateLaborInCaloriesValue(60, typeof(IndustrySkill), typeof(RadiatorRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(RadiatorRecipe), this.UILink(), 1.5f, typeof(IndustrySkill), typeof(IndustryFocusedSpeedTalent), typeof(IndustryParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Radiator"), typeof(RadiatorRecipe));

            CraftingComponent.AddRecipe(typeof(ElectricStampingPressObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Radiator")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class RadiatorItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A heat sink that uses liquid running through copper fins to disperse heat build-up."); } }
    }
}

