﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(IndustrySkill), 1)]      
    public partial class RubberWheelRecipe :
        RecipeFamily
    {
        public RubberWheelRecipe()
        {
            this.Initialize(Localizer.DoStr("Rubber Wheel"), typeof(RubberWheelRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "RubberWheel",
                    Localizer.DoStr("Rubber Wheel"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(SyntheticRubberItem), 8, typeof(IndustrySkill), typeof(IndustryLavishResourcesTalent)), 
                    new IngredientElement(typeof(SteelBarItem), 4, typeof(IndustrySkill), typeof(IndustryLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<RubberWheelItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 3.5f;  

            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(IndustrySkill), typeof(RubberWheelRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(RubberWheelRecipe), this.UILink(), 2, typeof(IndustrySkill), typeof(IndustryFocusedSpeedTalent), typeof(IndustryParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Rubber Wheel"), typeof(RubberWheelRecipe));

            CraftingComponent.AddRecipe(typeof(ElectricMachinistTableObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Rubber Wheel")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class RubberWheelItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Rubber wheels provide much better traction and allow the construction of more modern vehicles."); } }
    }
}

