﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(IndustrySkill), 1)]      
    public partial class SteelAxleRecipe :
        RecipeFamily
    {
        public SteelAxleRecipe()
        {
            this.Initialize(Localizer.DoStr("Steel Axle"), typeof(SteelAxleRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "SteelAxle",
                    Localizer.DoStr("Steel Axle"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(SteelBarItem), 4, typeof(IndustrySkill), typeof(IndustryLavishResourcesTalent)), 
                    new IngredientElement(typeof(EpoxyItem), 3, typeof(IndustrySkill), typeof(IndustryLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<SteelAxleItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 1;  

            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(IndustrySkill), typeof(SteelAxleRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(SteelAxleRecipe), this.UILink(), 1.5f, typeof(IndustrySkill), typeof(IndustryFocusedSpeedTalent), typeof(IndustryParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Steel Axle"), typeof(SteelAxleRecipe));

            CraftingComponent.AddRecipe(typeof(ElectricLatheObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Steel Axle")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class SteelAxleItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A rotating steel rod that can be fixed to wheels for use in vehicles."); } }
    }
}

