﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(IndustrySkill), 1)]      
    public partial class SteelGearboxRecipe :
        RecipeFamily
    {
        public SteelGearboxRecipe()
        {
            this.Initialize(Localizer.DoStr("Steel Gearbox"), typeof(SteelGearboxRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "SteelGearbox",
                    Localizer.DoStr("Steel Gearbox"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(SteelBarItem), 8, typeof(IndustrySkill), typeof(IndustryLavishResourcesTalent)), 
                    new IngredientElement(typeof(SteelGearItem), 4, typeof(IndustrySkill), typeof(IndustryLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<SteelGearboxItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 2.5f;  

            this.LaborInCalories = CreateLaborInCaloriesValue(160, typeof(IndustrySkill), typeof(SteelGearboxRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(SteelGearboxRecipe), this.UILink(), 2, typeof(IndustrySkill), typeof(IndustryFocusedSpeedTalent), typeof(IndustryParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Steel Gearbox"), typeof(SteelGearboxRecipe));

            CraftingComponent.AddRecipe(typeof(ElectricPlanerObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Steel Gearbox")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class SteelGearboxItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Provides speed and torque conversions from a rotating power source to another device"); } }
    }
}

